> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Embeddable Magic Link

> Create an embeddable token for Magic Link for a specific user. The token can be used with a custom email or any other methods of delivery to your user.
## Returns

A successful response returns an object with `user_id`, `token` properties.

<Warning>
  **Deprecated:** Magic Links are deprecated and will be removed in a future version. Please use [One-time Passcodes (OTP)](/methods/otp/overview) or [OAuth](/methods/oauth/overview) for passwordless authentication instead.
</Warning>


## OpenAPI

````yaml post /v1/auth/magic_links/create
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/auth/magic_links/create:
    parameters: []
    post:
      tags:
        - Magic Links
      summary: Create Embeddable Magic Link
      description: >-
        Create an embeddable token for Magic Link for a specific user. The token
        can be used with a custom email or any other methods of delivery to your
        user.

        ## Returns


        A successful response returns an object with `user_id`, `token`
        properties.
      operationId: CreateEmbeddableMagicLink
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEmbeddableMagicLinkRequest'
            examples:
              CreateEmbeddableMagicLinkReq:
                value:
                  user_id: user_24wFP9pDa9YiMJLun94iKykoZs2
                  expires_in: 60
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  user_id:
                    type: string
                    minLength: 1
                  token:
                    type: string
                    minLength: 1
                required:
                  - user_id
                  - token
              examples:
                CreateEmbeddableMagicLinkResp:
                  value:
                    user_id: user_24wFP9pDa9YiMJLun94iKykoZs2
                    token: kto7dNK1tnsuCT95CTLeRiJaGP3lmWN50iDIbruTrCG6BFxz
components:
  schemas:
    CreateEmbeddableMagicLinkRequest:
      description: ''
      type: object
      properties:
        user_id:
          type: string
          minLength: 1
          description: Given Unique ID that identifies the user.
        expires_in:
          type: number
          description: >-
            Expiration time of the magic link in minutes. Must be between 5 to
            10080 minutes (7 days).
        device_fingerprint:
          type: object
          description: >-
            Device fingerprinting metadata for fraud detection during
            verification step. This is useful to ensure that the user who
            originated the request matches the user that verifies the token.
            Verification requirements can be enabled in the `Verify Token` step
            by matching fields in the `device_fingerprint` such as IP, User
            Agent or the combination of them (more fraud detection features
            **coming soon**!)
          properties:
            ip:
              type: string
              description: IP of the user originating the request.
            user_agent:
              type: string
              description: User Agent of the browser originating the request.
      required:
        - user_id
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````